const path = require('path');
const pkg = require('./package');

module.exports = {
    entry: [
        'src/polyfills.js',
        'src/index.js',
    ],
    output: {
        html: {
            title: pkg.productName,
            description: pkg.description,
            template: path.join(__dirname, 'index.ejs')
        },
        publicUrl: '/magellan',
    },
    //presets: [
    //require('poi-preset-bundle-report')(),
    //require('poi-preset-offline')({
    //pwa: './src/pwa.js', // Path to pwa runtime entry
    //pluginOptions: {} // Additional options for offline-plugin
    //})
    //],
};
